> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1accountme

> The signed-in customer, how they authenticated, and whether a sensitive action needs a fresh sign-in.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/account/me
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/account/me:
    get:
      tags:
        - account
      description: >-
        The signed-in customer, how they authenticated, and whether a sensitive
        action needs a fresh sign-in.
      operationId: getAccountSession
      responses:
        '200':
          description: Current session
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountSession'
        '401':
          $ref: '#/components/responses/Problem'
components:
  schemas:
    AccountSession:
      type: object
      required:
        - customer
        - session
      properties:
        customer:
          $ref: '#/components/schemas/AccountCustomer'
        session:
          type: object
          required:
            - id
            - authMethod
            - expiresAt
            - reauthenticationRequired
          properties:
            id:
              type: string
              format: uuid
            authMethod:
              type: string
              enum:
                - telegram
                - magic_link
                - oidc
            authProvider:
              type: string
            expiresAt:
              type: string
              format: date-time
            reauthenticationRequired:
              type: boolean
              description: >-
                The session is older than the re-authentication window, so a
                destructive action will be refused until the customer signs in
                again.
    AccountCustomer:
      type: object
      required:
        - id
        - locale
        - timezone
        - status
      properties:
        id:
          type: string
          format: uuid
        locale:
          type: string
          enum:
            - ru
            - en
        timezone:
          type: string
        status:
          type: string
          enum:
            - active
            - suspended
            - deleted
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.